  <p>
    U ovoj minilekciji dan je kratak opis modela osvjetljavanja sličan modelu kakav je koristio OpenGL 1.1.
    Opisani model dosta detaljno opisuje različite aspekte osvjetljavanja temeljenih na iskustvenim opažanjima.
    U novijim inačicama OpenGL-a opisana fiksna struktura je odbačena kako bi se dopustilo programerima
    da implementiraju i drugačije modele osvjetljavanja. Unatoč tome, pregled koji slijedi, koristan je 
    jer se upravo takav model vrlo često implementira u takvom ili ponešto dopunjenom obliku.
  </p>

  <p>Primarni izvori svjetlosti su tijela koja zrače svjetlost koju samostalno generiraju kroz različite fizikalne i kemijske te druge procese.
     U fizikalnom smislu, vidljiva svjetlost je elektromagnetski val čija je frekvencija titranja u određenom rasponu.</p>

  <p>Pri simuliranju ponašanja svjetlosti u računalu uvijek koristimo određene modele koji na određene načine pojednostavljuju
     stvarne pojave. U tekstu koji slijedi, izvore ćemo karakterizirati bojom svjetlosti koju zrače, i ta će boja biti
     definirana kroz tri komponente: intenzitet crvene boje, intenzitet zelene boje te intenzitet plave boje, svi iz intervala [0, 1].
     Time će boja izvora biti određena trokomponentnim vektorom: (r, g, b). Primjerice, vektor (1,0,0) označava jaku crvenu boju, 
     vektor (0,1,0) zelenu boju, (0,0,1) plavu boju, (1,1,0) žutu boju, (0.8,0.8,0) zagasitiju žutu boju i slično.</p>


